{% extends "base_device.yaml.jinja2" %}
{% block device_setup %}

device_type: avh
job_name: {{ lava_job_name }}
visibility: public
timeouts:
  job:
    minutes: 60
  action:
    minutes: 60
  connection:
    minutes: 2

context:
  lava_test_results_dir: /var/lib/lava-%s

secrets:
  avh_api_token: avh_api_token

{% set artifacts_base_url = dirname(dirname(os_url)) %}

actions:

- deploy:
    to: avh
    options:
      model: imx93
      project_name: CI
    failure_retry: 3
    timeout:
      minutes: 30
    images:
      rootfs:
        url: {{ os_url }}
        {%- set os_path, os_extension = splitext(os_url) %}
        compression: {{ os_extension[1:] }}
        format: ext4
        root_partition: 1
      kernel:
        url: {{ artifacts_base_url }}/artifacts/Image.signed
      dtb:
        url: {{ artifacts_base_url }}/artifacts/imx93-11x11-evk.dtb

- boot:
    method: avh
    timeout:
      minutes: 20
    auto_login:
      login_prompt: 'login:'
      username: "root"
    prompts:
      - .*root@(.*):[/~]#
    transfer_overlay:
      download_command: wget -t 20 --waitretry 20 --retry-connrefused --retry-on-host-error --retry-on-http-error=401,403
      unpack_command: tar -C /var/lib/ -xzvf

{% endblock %}
